import { Component, OnInit, ViewChild, TemplateRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { buildFormGroup, addMissingNames } from './dynaform/libs';

import { formMetaDataObj } from './_mock/testfields';

@Component({
	selector: 'app-root',
	templateUrl: './app.component.html',
	styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

	form: FormGroup;

	formMetaDataObj = formMetaDataObj;

	@ViewChild('testTemplate', { read: TemplateRef })
	private tref: TemplateRef<any>;

	constructor(
		protected fb: FormBuilder
	) {
	}

	ngOnInit() {
		const fullFormMeta = {
			dynaformtest: { meta: this.formMetaDataObj }
		};
		const withNamesAdded = addMissingNames(fullFormMeta);
		const fg = buildFormGroup(withNamesAdded);
		console.log(fg);
		this.form = fg;
	}
}

